import chronoptics.tof as tof

serial = "2020004"
config_file = serial + "_config.bin"

try:
    cam = tof.GigeInterface()
    msg = cam.find(serial)
    cam.connect(msg)
    config = cam.downloadConfiguration()
    config.write(config_file)
    cam.disconnect()
except RuntimeError as err:
    print(str(err))
